Daily usage counters of a zone, as counted by the edge.
| Operation | Endpoint |
|---|---|
| Get zone usage | GET /v1/orgs/{org}/zones/{zone}/usage |
Get zone usage
GET /v1/orgs/{org}/zones/{zone}/usageReturns the daily usage counters of the zone, requests, blocked requests, bytes and DNS queries, for the last 30 days by default.
Required role: readonly or higher.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
org | path | string (uuid) | Yes | Organization id. Every route checks that it is the token's organization (otherwise 404). |
zone | path | string (uuid) | Yes | Zone id (see List zones). |
from | query | string (date) | No | First day (UTC). Default: 30 days ago. |
to | query | string (date) | No | Last day (UTC). Default: today. |
Response
200: Returnsitems, an array of Usage.
| Field | Type | Description |
|---|---|---|
items[].zone_id | string (uuid) | Zone id. |
items[].day | string (date) | Day (UTC). |
items[].requests | integer | Requests. |
items[].bytes_in | integer | Bytes received from visitors. |
items[].bytes_out | integer | Bytes sent to visitors. |
items[].blocked_requests | integer | Blocked requests. |
items[].dns_queries | integer | DNS queries answered. |
Example
curl "https://dash.openwaf.dev/v1/orgs/$OPENWAF_ORG/zones/6f1d2c3b-8a4e-4b7d-9c21-5e3f7a8b9c0d/usage?from=2026-10-01&to=2026-10-27" \
-H "Authorization: Bearer $OPENWAF_TOKEN"import { OpenWAF } from "./openwaf";
const owf = new OpenWAF({ baseUrl: "https://dash.openwaf.dev" }); // token from OPENWAF_TOKEN
const result = await owf.getZoneUsage({
zone: "6f1d2c3b-8a4e-4b7d-9c21-5e3f7a8b9c0d",
from: "2026-10-01",
to: "2026-10-27"
});from openwaf import OpenWAF
owf = OpenWAF(base_url="https://dash.openwaf.dev") # token from OPENWAF_TOKEN
result = owf.get_zone_usage(
zone="6f1d2c3b-8a4e-4b7d-9c21-5e3f7a8b9c0d",
from_="2026-10-01",
to="2026-10-27",
)200
{
"items": [
{
"zone_id": "6f1d2c3b-8a4e-4b7d-9c21-5e3f7a8b9c0d",
"day": "2026-10-26",
"requests": 182340,
"bytes_in": 41230512,
"bytes_out": 2318823104,
"blocked_requests": 1204,
"dns_queries": 95210
}
]
}